Name:           tuxcmd
Version:        0.6.62
Release:        git20090409.2%{?dist}
Summary:        Tux Commander: file manager with 2 panels side by side using GTK2

Group:          Applications/File
License:        GPLv2+

# FreePascal restrictions
ExclusiveArch:  %{ix86} x86_64  

URL:            http://tuxcmd.sourceforge.net/
# Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source1:        http://downloads.sourceforge.net/%{name}/%{name}-modules-%{version}.tar.bz2
Source0:        %{name}-%{version}.git20090409.tar.bz2
Source1:        %{name}-modules-%{version}.git20090409.tar.bz2
Source2:        %{name}.desktop
Source3:        tuxcmd.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fpc >= 2.2.2-2
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils

# turn smartlinking off, not needed anymore with fpc-2.2.2-2
Patch4: tuxcmd-disable-smartlinking.patch

# enable searching for modules in lib64 dirs
Patch5: tuxcmd-0.6.62-lib64.patch

%description
Tux Commander is open-source file manager with 2 panels side by side written
for GTK2. The main goal of this project is to create powerful user-friendly
file manager for Linux. Functionality can be further extended by pluggable
VFS (virtual file system) modules.


%package modules
Summary:        Modules for Tux Commander file manager
Group:          Applications/File
Requires: %{name} = %{version}-%{release}
BuildRequires: libarchive-devel >= 2.5.5
BuildRequires: bzip2-devel

%description modules
The tuxcmd-modules package contains extra VFS (virtual file system) modules
extending Tux Commander's functionality:
 * libarchive plugin - handles TAR/GZ/BZ2 archives
 * ZIP plugin


%package gvfs
Summary:        GVFS module for Tux Commander file manager
Group:          Applications/File
Requires: %{name} = %{version}-%{release}
BuildRequires: gvfs-devel
Requires: gvfs gvfs-smb

%description gvfs
This package contains networking GVFS module for Tux Commander file manager.




%prep
%setup -q -b 1

%patch4 -p1 -b .disable-smartlinking
%patch5 -p1 -b .lib64

%build

make debug

# build modules
cd ../%{name}-modules-%{version}
make CC="gcc %{optflags}" CPP="g++ %{optflags}" shared


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor="" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

find $RPM_BUILD_ROOT -name COPYING -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name README -exec rm -f {} ';'

# install modules
cd ../%{name}-modules-%{version}
make install DESTDIR=$RPM_BUILD_ROOT/usr
mkdir -p doc/libarchive
cp -pr libarchive/{COPYING,README} doc/libarchive
mkdir -p doc/zip
cp -pr zip/{COPYING,README} doc/zip



%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root,-)
%doc COPYING README
%dir %{_libdir}/tuxcmd
%{_bindir}/tuxcmd
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/tuxcmd.png

%files modules
%defattr(-,root,root,-)
%doc ../%{name}-modules-%{version}/doc/libarchive
%doc ../%{name}-modules-%{version}/doc/zip
%{_libdir}/tuxcmd/libarchive_plugin.so
%{_libdir}/tuxcmd/libzip_plugin.so

%files gvfs
%defattr(-,root,root,-)
%doc ../%{name}-modules-%{version}/gvfs/README
%doc ../%{name}-modules-%{version}/gvfs/COPYING
%{_libdir}/tuxcmd/libgvfs_plugin.so


%changelog
* Fri Apr 10 2009 Tomas Bzatek <tbzatek@redhat.com> 0.6.62-git20090409.2
- Fix vfs modules detection on 64bit archs
- Remove unnecessary Requires (#473992)

* Thu Apr  9 2009 Tomas Bzatek <tbzatek@redhat.com> 0.6.62-git20090409.1
- Rebase to latest git
- Fix unowned directories (#473992)

* Sat Feb 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.50-7
- fix compile with gcc44, use optflags

* Fri Feb 27 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.50-6
- fix ExclusiveArch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.50-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 21 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.50-4
- Turn smartlinking off, not needed with fpc-2.2.2-2 anymore
- Enable debuginfo generation on x86_64 again

* Mon Oct 13 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.50-3
- Connection Manager: Fix restoring last used item

* Tue Oct  7 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.50-2
- Hide '0' and NULL mount points
- GVFS plugin: supply proper user/pass for anonymous FTP login

* Fri Oct  3 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.50-1
- Update to v0.6.50

* Mon Aug 25 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.36-5
- Use supplied libc unit (ripped out from original FPC sources)
- Do not generate debug info on x86_64 (buggy compiler)

* Mon Aug 25 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.36-4
- Rebuild against FPC 2.2.2 (fixes threading issues)
- Do not generate executable stack (fixes SELinux issues)

* Mon Jun  9 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.36-3
- Add ZIP module

* Fri Jun  6 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.36-2
- Add modules (gnome-vfs2, libarchive)

* Mon Jun  2 2008 Tomas Bzatek <tbzatek@redhat.com> 0.6.36-1
- Initial packaging
